<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>ToDo管理システム</title>
</head>
<body>
<header><h1>Todo List (Spring Boot)</h1></header>

<h2>新規追加</h2>
<form th:action="@{/add}" method="post" th:object="${todoForm}">
    <input type="text" name="newTodo" title="新しいTodo" th:field="*{text}">
    <input type="submit" value="追加">
</form>

<h2>一覧</h2>
<table>
    <tr th:each="todo : ${todoList}" th:object="${todo}">
        <td th:text="*{text}">ノートを買う</td>
        <td>
            <form method="post" th:action="@{/done/{id}(id=*{id})}" th:if="!*{done}">
                <button value="done">完了</button>
            </form>
            <span th:if="*{done}">完了済</span>
        </td>
        <td>
            <form method="post" th:action="@{/remove/{id}(id=*{id})}">
                <button value="remove">削除</button>
            </form>
        </td>
    </tr>
</table>
</body>
</html>